Skip to main content

Create Contact

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.create_contact

Create a new contact in GoHighLevel

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-create-contact-example",
"method": "tools/call",
"params": {
"name": "ghl.create_contact",
"arguments": {
"email": "email_example",
"tenantId": "tenantId_123",
"firstName": "firstName_example",
"lastName": "lastName_example",
"phone": "phone_example",
"tags": [],
"source": "source_example"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"firstName": {
"type": "string"
},
"lastName": {
"type": "string"
},
"email": {
"type": "string"
},
"phone": {
"type": "string"
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"source": {
"type": "string"
}
},
"required": [
"email"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-create-contact-example",
"method": "tools/call",
"params": {
"name": "ghl.create_contact",
"arguments": {
"email": "email_example",
"tenantId": "tenantId_123",
"firstName": "firstName_example",
"lastName": "lastName_example",
"phone": "phone_example",
"tags": [],
"source": "source_example"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.create_contact executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}